# TV :	DON'T USE find_lang on gimp, it only guess gimp.mo not
# imp-std-plugins.mo and gimp-script-fu.mo

%define revision 25
%define ver      1.1.%{revision}
%define subver   1.1
%define rel 13mdk
%define print_ver 4.0.0rc1

Summary:		The GNU Image Manipulation Program
Name:			gimp
Serial:			1
Version:		%ver
Release:		%rel
Copyright:		GPL
Group:			Graphics
URL:			http://www.gimp.org/

Source:			ftp://ftp.gimp.org/pub/gimp/v%{subver}/v%{PACKAGE_VERSION}/gimp-%{PACKAGE_VERSION}.tar.bz2
Source1:		gimp.xpm.bz2
Source2:		mini-gimp.xpm.bz2
Source3:		gimp.desktop
Source4:		print-%{print_ver}.tar.bz2
Source10:		gimp-16.xpm
Source11:		gimp-32.xpm
Source12:		gimp-48.xpm

Patch1:			gimp-1.1.23-perlpath.patch.bz2
Patch2:			gimp-1.1.24-tv_mpeg.patch
#Patch4:                 print-4.0-cret-HP840C.patch.bz2
Patch5:                 print-4.0-LJ4VSi-600dpi.patch.bz2

BuildRoot:		%{_tmppath}/%{name}-buildroot
Obsoletes:		gimp-data-min
Requires:		mpeg_lib libpng libjpeg gtk+ >= 1.2.8 glib >= 1.2.8 zlib perl aalib
Requires:		%{name}-libgimp = %{version}, perl-PDL
Provides:		hackgimp
BuildRequires:	mpeg_lib, libpng-devel, libjpeg-devel, gtk+-devel >= 1.2.8, glib-devel >= 1.2.8, aalib-devel, XFree86-devel, xpm-devel, gpm-devel, gnome-libs-devel, ncurses-devel, slang, libtiff-devel, zlib-devel

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.

%package devel
Summary:	GIMP plugin and extension development kit
Group:		Development/C
Requires:	gtk+-devel
Prereq:		/sbin/install-info
Serial:		1
Requires:	%{name} = %{version}

%description devel
Static libraries and header files for writing GIMP plugins and extensions.

%package libgimp
Summary:	GIMP libraries
Group:		System/Libraries
Serial:		1
Copyright:	LGPL
Provides:	gimp-libgimp libgck.so.1 libgimp.so.1 libgimpui.so.1

%description libgimp
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%package perl
Summary:	GIMP perl extensions and plugins
Group:		Graphics
Requires:	gimp
Requires:	perl

%description perl
The gimp-perl package contains all the perl extensions and perl plugins. 

%prep
%setup -q -a4
%patch1 -p1 -b .perlpath
%patch2 -p1 -b .mpeg
cd print-%{print_ver}
#patch4
%patch5
cd ..

%build
%ifarch %ix86
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -ffast-math"
%endif

%ifarch alpha
MYARCH_FLAGS="--host=alpha-mandrake-linux"
%endif

%ifarch ppc
export CC="gcc -V`egcs-version`"
export CXX="g++ -V`egcs-version`"
%endif

cd print-%{print_ver}
aclocal
autoconf
automake
%configure
%make
cd ..


#%configure --mandir=$RPM_BUILD_ROOT%{_mandir} --with-mp=yes
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix} \
	--mandir=$RPM_BUILD_ROOT%{_mandir} \
	--with-mp=yes

%make

gzip -9 docs/*ps

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/{%{_menudir},%{_infodir},%{_iconsdir}/mini,%{_includedir},%{_bindir},%{_libdir}/gimp/%{subver}/plug-ins,etc/X11/wmconfig}

make prefix=$RPM_BUILD_ROOT/%{_prefix} \
     bindir=$RPM_BUILD_ROOT/%{_bindir} \
     libdir=$RPM_BUILD_ROOT/%{_libdir} \
     mandir=$RPM_BUILD_ROOT/%{_mandir} \
     infodir=$RPM_BUILD_ROOT/%{_infodir} \
     datadir=$RPM_BUILD_ROOT/%{_datadir} \
     includedir=$RPM_BUILD_ROOT/%{_includedir} \
     gimpplugindir=$RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} \
     gimpdatadir=$RPM_BUILD_ROOT/%{_datadir}/gimp/%{subver} \
     PREFIX=$RPM_BUILD_ROOT/%{_prefix} \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT%{_libdir}/perl5/man \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     install


pushd print-%{print_ver}
#perl -pi -e "s!libdir = /usr/lib!libdir = $RPM_BUILD_ROOT/usr/usr/lib!g" Makefile
#perl -pi -e "s!GIMP_PLUGIN_DIR = /usr!GIMP_PLUGIN_DIR = $RPM_BUILD_ROOT/usr!g" Makefile
cp -a /usr/bin/gimptool .
perl -pi -e "s!=/usr!=$RPM_BUILD_ROOT/usr!g" gimptool
%makeinstall GIMPTOOL="$PWD/gimptool --prefix=$RPM_BUILD_ROOT/usr" \
GIMP_PLUGIN_DIR="$RPM_BUILD_ROOT/%{_libdir}/"
popd

#
# This perl madness will drive me batty
#
eval perl '-V:archname'
%{_datadir}/spec-helper/spec-helper||true
find $RPM_BUILD_ROOT/%{_prefix}/lib/perl5 -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | sed "s/\.3$/.3.bz2/" | fgrep -v perllocal.pod > gimp-perl

#
# Plugins and modules change often (grab the executeable ones)
#
echo "%defattr (0555, root, root)" > gimp-plugin-files
find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} -type f | xargs file | fgrep -v perl | fgrep -v %{_libdir}/gimp/1.1/modules/.*\.a$ | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g"   >>gimp-plugin-files

#
# Now pull the perl ones out.
#
echo "%defattr (0555, root, root)" > gimp-perl-plugin-files
echo "%dir %{_libdir}/gimp/%{subver}/plug-ins" >> gimp-perl-plugin-files
find $RPM_BUILD_ROOT/%{_libdir}/gimp/%{subver} -type f |xargs file {} \; | fgrep perl | cut -d':' -f 1 | sed "s@^$RPM_BUILD_ROOT@@g"  >>gimp-perl-plugin-files

#
# Auto detect the lang files.
#
if [ -f %{_libdir}/rpm/find-lang.sh ] ; then
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT %{name}
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT gimp-std-plugins
 %{_libdir}/rpm/find-lang.sh $RPM_BUILD_ROOT gimp-script-fu
 cat %{name}.lang gimp-std-plugins.lang gimp-script-fu.lang \
    | sed "s:(644, root, root, 755):(444, bin, bin, 555):" > gimp-all.lang
fi

#
# Tips
#
echo "%defattr (444, root, root, 555)" >gimp-tips-files
echo "%{_datadir}/gimp/%{subver}/tips/gimp_tips.txt" >> gimp-tips-files
for I in `ls $RPM_BUILD_ROOT/%{_datadir}/gimp/%{subver}/tips/gimp*.[a-z]*.txt | sed "s@^$RPM_BUILD_ROOT/@@g"`; do
   tip_lang=`basename $I | cut -d'.' -f2`
   echo "%lang($tip_lang)    $I" >> gimp-tips-files
done

#
# Build the master filelists generated from the above mess.
#
cat gimp-plugin-files gimp-all.lang gimp-tips-files > gimp.files
echo "%defattr (555, root, root, 555)" > gimp-perl-files
cat gimp-perl gimp-perl-plugin-files >> gimp-perl-files

# install desktop entry (does Mandrake need this ?)
mkdir -p %{buildroot}/etc/X11/applnk/Graphics
install -m 644 $RPM_SOURCE_DIR/gimp.desktop %{buildroot}/etc/X11/applnk/Graphics

#cd docs
#make prefix=$RPM_BUILD_ROOT/usr install

# (fg) Not needed anymore
#install RPM/gimp.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/gimp
#install RPM/wilbur.xpm $RPM_BUILD_ROOT%{_iconsdir}/
#install RPM/mini-wilbur.xpm $RPM_BUILD_ROOT%{_iconsdir}/mini/
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}/{large,mini}
cat %{SOURCE10} > $RPM_BUILD_ROOT%{_iconsdir}/mini/wilbur.xpm
cat %{SOURCE11} > $RPM_BUILD_ROOT%{_iconsdir}/wilbur.xpm
cat %{SOURCE12} > $RPM_BUILD_ROOT%{_iconsdir}/large/wilbur.xpm

cat >$RPM_BUILD_ROOT%{_menudir}/gimp <<EOF
?package(gimp): command="gimp" icon="wilbur.xpm" section="Multimedia/Graphics" title="The GIMP" longtitle="The GNU Image Manipulation Program" needs="x11" kde_mimetype="image/gif;image/jpeg;image/png;image/tiff;image/x-xbm;image/x-xpm;image/bmp;image/fits;image/pcx;image/pix;image/pnm;"
EOF


cd  $RPM_BUILD_ROOT%{_libdir}
# compat symlink to get stuff working.
ln -sf libgimp-%{subver}.so.%{revision} libgimp.so.1
ln -sf libgimpui-%{subver}.so.%{revision} libgimpui.so.1
ln -sf libgck-%{subver}.so.%{revision} libgck.so.1

#pushd $RPM_BUILD_ROOT
#find usr/share/gimp | sed 's|^|/|' > $RPM_BUILD_DIR/%{name}-%{version}/gimp-help.lst
#popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%post libgimp -p /sbin/ldconfig
%postun libgimp -p /sbin/ldconfig

%files -f gimp.files
%attr(-,root,root) %config(missingok) /etc/X11/applnk/Graphics/gimp.desktop
%defattr(-,root,root,0755)
%dir %{_libdir}/gimp
%dir %{_libdir}/gimp/%{subver}
%dir %{_libdir}/gimp/%{subver}/modules
%dir %{_libdir}/gimp/%{subver}/plug-ins
%dir %{_datadir}/icons/mini
%dir %{_datadir}/gimp/%{subver}/tips
%dir %{_datadir}/gimp/%{subver}/patterns
%dir %{_datadir}/gimp/%{subver}/scripts
%dir %{_datadir}/gimp/%{subver}/brushes
%dir %{_datadir}/gimp/%{subver}/devel-docs
%dir %{_datadir}/gimp/%{subver}/devel-docs/html
%dir %{_datadir}/gimp/%{subver}/devel-docs/html/libgimp
%dir %{_datadir}/gimp/%{subver}/fractalexplorer
%dir %{_datadir}/gimp/%{subver}/gfig
%dir %{_datadir}/gimp/%{subver}/gflare
%dir %{_datadir}/gimp/%{subver}/gflare/Bright_Star
%dir %{_datadir}/gimp/%{subver}/gflare/Classic
%dir %{_datadir}/gimp/%{subver}/gflare/Default
%dir %{_datadir}/gimp/%{subver}/gflare/Distant_Sun
%dir %{_datadir}/gimp/%{subver}/gflare/GFlare_101
%dir %{_datadir}/gimp/%{subver}/gflare/GFlare_102
%dir %{_datadir}/gimp/%{subver}/gflare/Hidden_Planet
%dir %{_datadir}/gimp/%{subver}/gimpressionist/Brushes
%dir %{_datadir}/gimp/%{subver}/gimpressionist/
%dir %{_datadir}/gimp/%{subver}/gimpressionist/Paper
%dir %{_datadir}/gimp/%{subver}/gimpressionist/Presets
%dir %{_datadir}/gimp/%{subver}/gradients
%dir %{_datadir}/gimp/%{subver}/palettes

%{_iconsdir}/mini/wilbur.xpm
%{_iconsdir}/large/wilbur.xpm
%{_iconsdir}/wilbur.xpm
%{_menudir}/gimp
%{_bindir}/gimp
%{_bindir}/gimpdoc
%{_bindir}/embedxpm
%{_bindir}/xcftopnm
%{_datadir}/gimp/%{subver}/scripts/*
%{_datadir}/gimp/%{subver}/fractalexplorer/*
%{_datadir}/gimp/%{subver}/gfig/*
%{_datadir}/gimp/%{subver}/gimpressionist/Presets/*
%{_datadir}/gimp/%{subver}/gimpressionist/Brushes/*
%{_datadir}/gimp/%{subver}/gimpressionist/Paper/*
%{_datadir}/gimp/%{subver}/gradients/*
%{_datadir}/gimp/%{subver}/palettes/*
%{_datadir}/gimp/%{subver}/patterns/*
%{_datadir}/gimp/%{subver}/brushes/*
%{_datadir}/gimp/%{subver}/help
%{_datadir}/gimp/%{subver}/user_install
%{_datadir}/gimp/%{subver}/gimprc
%{_datadir}/gimp/%{subver}/gimprc_user
%{_datadir}/gimp/%{subver}/gtkrc
%{_datadir}/gimp/%{subver}/unitrc
%{_datadir}/gimp/%{subver}/gimp_logo.ppm
%{_datadir}/gimp/%{subver}/gimp_splash.ppm
%{_datadir}/gimp/%{subver}/ps-menurc
%{_mandir}/man1/gimp.1*
%{_mandir}/man5/gimprc.5*
%doc AUTHORS COPYING ChangeLog* MAINTAINERS INSTALL NEWS README TODO
%doc PLUGIN_MAINTAINERS docs/*.txt docs/*ps* docs/Wilber* ABOUT-NLS README.i18n
%doc README.perl README.win32 TODO

%files devel
%defattr(-,root,root,0755)
%{_bindir}/gimptool
%{_bindir}/gimp-config
%{_datadir}/gimp/%{subver}/devel-docs/html/libgimp/*
%{_datadir}/aclocal/gimp.m4
%{_includedir}
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{_libdir}/gimp/%{subver}/modules/*.la
%{_libdir}/gimp/%{subver}/modules/*.a
%{_mandir}/man1/gimptool.1*

%files libgimp
%defattr(-,root,root,755)
%{_libdir}/*.so*
%{_libdir}/gimp/%{subver}/modules/lib*.so

%files perl -f gimp-perl-files

%changelog
* Tue Oct 24 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.25-13mdk
- Updated GIMP-Print code to 4.0.0rc1

* Fri Oct  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.25-12mdk
- Fix menus (titisuchi).

* Thu Oct 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-11mdk
- rename icons

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-10mdk
- readd gimp to mime menu of kde from Gregory Letoquart (f**cking broken
  ml :-(; next time mail the rpm maintainner)

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-9mdk
- better icons in menus

* Wed Oct 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-8mdk
- fix gimp-print (Till)
- fix requires for new gimp-print

* Tue Oct 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-7mdk
- spec cleanup (1 define less to update)
- build release as requested by lord FredL

* Wed Sep 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.25-6mdk
- change gimp perl group to graphics

* Sun Sep 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.1.25-5mdk
- Fix build on PPC

* Sat Sep 02 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.1.25-4mdk
- improve symlinking for compat. symlink.

* Wed Aug 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-3mdk
- fix bad links in description
- speed up %%install
- make installation of gimp-perl short-circuit compliant
- reuse macros removed by Jan

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-2mdk
- a few minor cleanings
- enable build to use SMP

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.25-1mdk
- new release
- fix mpeg plugin since the required lib conflicts with KDE2
- add support for SMP
- move the configure in build section, not in prepare one
- fix spec for new pixel spec-helper which delete "*.bs"

* Sun Aug 13 2000 Jan Dittberner <jan@jan-dittberner.de> 1.1.24-4mdk
- bzip2'ed perl patch
- set URL to correct directory

* Sat Aug 12 2000 Reinhard Katzmann <reinhard@suamor.de> 1.1.24-3mdk
- merged with gimp-spec from redhat
- file section improved due to merge (includes gimp-perl now!)
- added a few doc directories (files were already there)

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.24-2mdk
- automatically added BuildRequires


* Fri Aug 04 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.24-1mdk
- BM. ok, this one really give me a hard time to build with new rpm :-(
- update to 1.1.24 and remove it from contribs
- don't use find_lang on gimp, it only guess gimp.mo not gimp-std-plugins.mo
  and gimp-script-fu.mo


* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-15mdk
- BM & new macros

* Fri Apr 28 2000 DindinX <odin@mandrakesoft.com> 1.0.4-14mdk
- Somewhat fix the icons

* Mon Apr 17 2000 DindinX <odin@mandrakesoft.com> 1.0.4-13mdk
- patch for the logo script so they use 'avantgarde' font which is
  always installed (at least for western language).
  This should close the feature #39 for now, until gimp 1.2
- make the menu entry use the wilbur.xpm icon
- compressed icons

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-12mdk

- Grrr... Renamed icons because of a conflict with mandrake_desk

* Thu Apr 13 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.4-11mdk

- Weee... Major spec cleanup
- Menu entry
- Icons
- %files list fixes - was badly needed
- Titi sucks, no version in last changelog

* Thu Mar 23 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- updated to use our new tools (spechelper) and new namins standards
- add gimp manpage :-(
- compress the postscripts we provide

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize

* Tue Nov 02 1999 John Buswell <johnb@mandrakesoft.com>
- Rebuild and Repackage for oxygen

* Tue Oct 06 1999 Francis Galiegue <francis@mandrakesoft.com>
- Recompiled with gcc instead of pgcc, as the latest introduced bugs

* Thu Sep 02 1999 Francis Galiegue <francis@mandrakesoft.com>
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added gimptool
  to gimp-devel
- put in debug code, forgot to remove it, done
- (thanks to Guiseppe Ghib <ghibo@linux-mandrake.com>) added aalib
  plugin
* Tue Aug 31 1999 Francis Galiegue <francis@mandrakesoft.com>
- fixed a bug in Makefile.in that made %{_bindir}/install
  try to strip a shell script...
- gimp now prints

* Sun Apr 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Removig the prefix=/usrcd/

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adaptations.

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- install binaries stripped by default

* Mon Apr  5 1999 Matt Wilson <msw@redhat.com>
- updated to official 1.0.4 release

* Wed Mar 31 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.4 release
- requires gtk+ >= 1.2

* Sun Mar 14 1999 Matt Wilson <msw@redhat.com>
- updated for 1.0.3 release
- updated group

* Mon Apr 20 1998 Marc Ewing <marc@redhat.com>
- include *.xpm and .wmconfig in CVS source
- removed explicit glibc require

* Thu Apr 16 1998 Marc Ewing <marc@redhat.com>
- Handle builds using autogen.sh
- SMP builds
- put in CVS, and tweak for automatic CVS builds

* Sun Apr 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.26

* Sat Apr 11 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.25

* Wed Apr 08 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to version 0.99.24

* Sun Apr 05 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Stop building the docs - they require emacs and
  (even worse), you must run X.

* Fri Mar 27 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.23

* Sat Mar 21 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- No longer requires xdelta, that was a bug on my part
- spec cleanup, changed libgimp copyright, can now be
  built by non-root users, removed some lines in the description

* Fri Mar 20 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.22

* Sun Mar 15 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- upgraded to 0.99.21

* Thu Mar 12 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Upgraded to 0.99.20

* Mon Mar 09 1998 Trond Eivind Glomsrd <teg@pvv.ntnu.no>
- Recompiled with gtk+ 0.99.5
- Now requires gtk+ >= 0.99.5 instead of gtk+ 0.99.4

